Bug 1208313 - wicd: please drop dependency on pm-utils
Summary: wicd: please drop dependency on pm-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wicd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-02 00:20 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2015-04-09 14:30 UTC (History)
1 user (show)

Fixed In Version: wicd-1.7.2.4-16.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-09 14:11:40 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1208311 0 unspecified CLOSED cdm: please drop dependency on pm-utils 2021-02-22 00:41:40 UTC

Internal Links: 1208311

Description Zbigniew Jędrzejewski-Szmek 2015-04-02 00:20:42 UTC
Description of problem:
wicd is one of the three packages requiring pm-utils. pm-utils functionality is now provided by systemd, and pm-utils maintainer will retire pm-utils when dependencies are removed.

Version-Release number of selected component (if applicable):
wicd-0:1.7.2.4-15.fc22.x86_64

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-04-04 13:20:30 UTC
pm-utils has now been retired...

Comment 2 David Cantrell 2015-04-09 13:11:28 UTC
Sorry this has taken me a while to get around to.  Building an update now to remove the pm-utils dependency.

Comment 3 David Cantrell 2015-04-09 14:11:40 UTC
Fixed in rawhide.  Let me know if you want an update for F-22.

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-04-09 14:30:06 UTC
Thanks.

pm-utils is not retired in F22 (and it is too late to do that), so dropping the dependency is not strictly necessary. But it would be nice to drop the dependency (maybe with the next update of wicd) to avoid pulling it in unnecessarily.


Note You need to log in before you can comment on or make changes to this bug.